## intel-microcode 3.20180108.0~ubuntu17.04.1

=== debian/changelog ===
intel-microcode (3.20180108.0~ubuntu17.04.1) zesty-security; urgency=medium

  * New upstream microcode datafile 20180108
    + New Microcodes:
      sig 0x000506c9, pf_mask 0x03, 2017-03-25, rev 0x002c, size 16384
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
      sig 0x000906ea, pf_mask 0x22, 2018-01-04, rev 0x0080, size 97280
      sig 0x000906eb, pf_mask 0x02, 2018-01-04, rev 0x0080, size 98304
    + Updated Microcodes:
      sig 0x000306c3, pf_mask 0x32, 2017-11-20, rev 0x0023, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2017-11-17, rev 0x0028, size 18432
      sig 0x000306e4, pf_mask 0xed, 2017-12-01, rev 0x042a, size 15360
      sig 0x000306f2, pf_mask 0x6f, 2017-11-17, rev 0x003b, size 33792
      sig 0x000306f4, pf_mask 0x80, 2017-11-17, rev 0x0010, size 17408
      sig 0x00040651, pf_mask 0x72, 2017-11-20, rev 0x0021, size 22528
      sig 0x00040661, pf_mask 0x32, 2017-11-20, rev 0x0018, size 25600
      sig 0x00040671, pf_mask 0x22, 2017-11-17, rev 0x001b, size 13312
      sig 0x000406e3, pf_mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x00050654, pf_mask 0xb7, 2017-12-08, rev 0x200003c, size 27648
      sig 0x00050662, pf_mask 0x10, 2017-12-16, rev 0x0014, size 31744
      sig 0x00050663, pf_mask 0x10, 2017-12-16, rev 0x7000011, size 22528
      sig 0x000506e3, pf_mask 0x36, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000806e9, pf_mask 0xc0, 2018-01-04, rev 0x0080, size 98304
      sig 0x000806ea, pf_mask 0xc0, 2018-01-04, rev 0x0080, size 98304
      sig 0x000906e9, pf_mask 0x2a, 2018-01-04, rev 0x0080, size 98304
   * source: remove unneeded intel-ucode/ directory
   * source: remove superseded upstream data file: 20170707

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Jan 2018 13:24:25 -0500

intel-microcode (3.20170707.1~ubuntu17.04.0) zesty; urgency=medium

  * Sync of new upstream microcode release to address Kaby Lake
    Hyper Threading bug.  This is a sync of the dat files from artful
    version 3.20170707.1 (LP: #1700373)
  * New upstream microcode datafile 20170707
    + New Microcodes:
      sig 0x00050654, pf_mask 0x97, 2017-06-01, rev 0x2000022, size 25600
      sig 0x000806e9, pf_mask 0xc0, 2017-04-27, rev 0x0062, size 97280
      sig 0x000806ea, pf_mask 0xc0, 2017-05-23, rev 0x0066, size 95232
      sig 0x000906e9, pf_mask 0x2a, 2017-04-06, rev 0x005e, size 97280
    + This release fixes the nightmare-level errata SKZ7/SKW144/SKL150/
      SKX150 (Skylake) KBL095/KBW095 (Kaby Lake) for all affected Kaby
      Lake and Skylake processors: Skylake D0/R0 were fixed since the
      previous upstream release (20170511).  This new release adds the
      fixes for Kaby Lake Y0/B0/H0 and Skylake H0 (Skylake-E/X).
    + Fix undisclosed errata in Skylake H0 (0x50654), Kaby Lake Y0
      (0x806ea), Kaby Lake H0 (0x806e9), Kaby Lake B0 (0x906e9)
  * source: remove superseded upstream data file: 20170511
    This brings dat files in sync with those shipped in Arful.
  * Updated Intel changelog and releasenote to reflect dat file sync.

 -- Dave Chiluk <chiluk@ubuntu.com>  Wed, 12 Jul 2017 21:26:17 -0500

intel-microcode (3.20170511.1~ubuntu17.04.0) zesty; urgency=medium

  * Backport of new upstream microde release to address Hyper Threading
    bug. LP: #1700373.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Jun 2017 16:22:13 +0100

=== debian/control ===
Source: intel-microcode
Section: non-free/admin
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
Standards-Version: 3.9.8
Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64 x32
Depends: ${misc:Depends}, iucode-tool (>= 1.0)
Recommends: initramfs-tools (>= 0.113~)
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 For AMD processors, please refer to the amd64-microcode package.

## intel-microcode 3.20180123really20171117.1+mx15

=== debian/changelog ===
intel-microcode (3.20180123really20171117.1+mx15) mx; urgency=medium

  * Rebuild for MX-15/16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 23 Jan 2018 16:13:16 -0500

intel-microcode (3.20180123really20171117.1+mx17) mx; urgency=medium

  * Rollback Intel's problematic ucode updates

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 23 Jan 2018 16:06:01 -0500

intel-microcode (3.20171117.1+mx17+1) mx; urgency=medium

  * Backport for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 24 Nov 2017 17:00:28 -0500

intel-microcode (3.20171117.1) unstable; urgency=medium

  * New upstream microcode data file 20171117
    + New Microcodes:
      sig 0x000506c9, pf_mask 0x03, 2017-03-25, rev 0x002c, size 16384
      sig 0x000706a1, pf_mask 0x01, 2017-10-31, rev 0x001e, size 72704
      sig 0x000906ea, pf_mask 0x22, 2017-08-23, rev 0x0070, size 95232
      sig 0x000906eb, pf_mask 0x02, 2017-09-20, rev 0x0072, size 97280
    + Updated Microcodes:
      sig 0x00050654, pf_mask 0xb7, 2017-10-17, rev 0x2000035, size 26624
      sig 0x000806ea, pf_mask 0xc0, 2017-08-03, rev 0x0070, size 96256
  * source: remove superseded upstream data file: 20170707.
  * source: remove unneeded intel-ucode/ directory for 20171117.
  * debian/control: bump standards version to 4.1.1 (no changes)
  * Makefile: rename microcode-extras.pbin to microcode-includes.pbin.
  * README.source: fix IUC_EXCLUDE example and minor issues.
  * Makefile, README.souce: support loading ucode from directories.
  * debian/rules: switch to dh mode (debhelper v9)
  * ucode-blacklist: blacklist sig 0x406f1 (Skylake-X H0) from late
    loading.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Nov 2017 18:55:09 -0200

## intel-microcode 3.20180123really20171117.1+mx17

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
 Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
 Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git

## intel-microcode 3.20180312.0~ubuntu18.04.1

=== Makefile ===
PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL ?= iucode_tool
IUC_FLAGS := -v
IUC_FINAL_FLAGS := -vv

# CUTDATE RANGE:
#
# This filter selects what we consider to be old microcode which
# should still be shipped even if Intel dropped them.  Note that
# it is useless to ship microcodes for anything the distro doesn't
# really support anymore
#
# Watch out: check in the changelog, if this filter will add
# microcodes that look like they've been recalled, use
# IUC_OLDIES_EXCLUDE to avoid shipping the probably recalled
# microcode.  Refer to IUC_EXCLUDE for IUC_OLDIES_EXCLUDE syntax.
#
# Last manual check: up to 2008-01-01
IUC_OLDIES_SELECT  := "--date-before=2008-01-01"
IUC_OLDIES_EXCLUDE :=

# EXCLUDING MICROCODES:
#
# Always document reason.  See iucode_tool(8) for -s !<sig> syntax
# Recalls might require use of .fw overrides to retain old version,
# instead of exclusions.  Exclusions have the highest priority, and
# will remove microcode added by any other means, including override
# files (.fw files).
IUC_EXCLUDE :=

# 0x106c0: alpha hardware, seen in a very very old microcode data file
IUC_EXCLUDE += -s !0x106c0

# 0x206c2: Intel Westmere B1 (Xeon 3600, 5600, Core i7 2nd gen).
#
# When Intel released a fix for Intel SA-00030, they issued a MCU that
# bumps the minimum acceptable version of the Intel TXT ACMs in the
# TPM persistent storage.  This permanently blacklists the vulnerable
# ACMs *even on older microcode* in order to make it somewhat harder
# to work around the security fix through a BIOS downgrade attack.
#
# It is possible that such a microcode update, when peformed by the
# operating system, could sucessfully trigger the TPM persistent
# storage update Intel intended to happen during firmware boot: we
# simply don't know enough to rule it out.  Should that happen, Intel
# TXT will be permanently disabled.  This could easily interact very
# badly with the firmware, rendering the system unbootable.  If *that*
# happens, it would likely require either a TPM module replacement
# (rendering sealed data useless) or a direct flash of a new BIOS with
# updated ACMs, to repair.
#
# Blacklist updates for signature 0x206c2 as a safety net.
IUC_EXCLUDE += -s !0x206c2

# INCLUDING MICROCODES:
#
# This should be used to add a microcode from any of the regular
# microcode bundles, without the need for an override file.  See
# iucode_tool(8) for -s <sig> syntax.  Always document the reason,
# as per IUC_EXCLUDE.
IUC_INCLUDE :=

# Keep sorting order predictable or things will break
export LC_COLLATE=C

MICROCODE_REG_DBIN    := $(patsubst microcode-%.d/,microcode-%.dbin,$(wildcard microcode-*.d/))
MICROCODE_REG_SOURCES := $(sort $(wildcard microcode-*.dat microcode-*.bin) $(MICROCODE_REG_DBIN))
MICROCODE_SUP_SOURCES := $(wildcard supplementary-ucode-*.bin supplementary-ucode-*.d/)
MICROCODE_OVERRIDES   := $(wildcard *.fw)

MICROCODE_FINAL_REG_SOURCES :=
ifneq ($(IUC_OLDIES_SELECT),)
	MICROCODE_FINAL_REG_SOURCES += microcode-oldies.pbin
endif
ifneq ($(IUC_INCLUDE),)
	MICROCODE_FINAL_REG_SOURCES += microcode-includes.pbin
endif
MICROCODE_FINAL_REG_SOURCES += $(lastword $(MICROCODE_REG_SOURCES))

ifneq ($(MICROCODE_SUP_SOURCES),)
MICROCODE_FINAL_SOURCES := microcode-aux.pbin
else
MICROCODE_FINAL_SOURCES := $(MICROCODE_FINAL_REG_SOURCES)
endif
ifneq ($(MICROCODE_OVERRIDES),)
	MICROCODE_FINAL_SOURCES += microcode-overrides.pbin
endif

all: intel-microcode.bin intel-microcode-64.bin

# When processing a directory that contains a single upstream
# microcode release (split over many binary microcode files), we need
# to group it into a single (temporary) bundle for downgrade mode to
# work as expected.  Using iucode_tool (in the default --no-downgrade
# mode) to generate the temporary bundle ensures reproducibility,
# since it will sort out any conflicts in a predictable way.

microcode-%.dbin: microcode-%.d/
	@echo
	@echo Preprocessing microcode directory $^ into $@...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# When looking for "old" microcodes that we should ship even if they
# are not in the latest regular microcode bundle anymore, we use a
# date filter to select *signatures* of microcodes that should be
# included (instead of directly selecting the microcode itself).
#
# Then, the "latest" microcode (in source file order, due to the use
# of downgrade mode) for each such signatures will be selected,
# regardless of the date on the microcode itself.

microcode-oldies.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing older regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(IUC_OLDIES_SELECT) $(IUC_OLDIES_EXCLUDE) \
		--loose-date-filtering --downgrade --overwrite -w "$@" $^

microcode-includes.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing force-included regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) -s! $(IUC_INCLUDE) \
		--downgrade --overwrite -w "$@" $^

# When there are supplementary microcode bundles, they must be merged
# with the regular microcode in a separate step, since all such
# microcodes must have the same precedence.  We use two intermediate
# bundles for this.
#
# The oldies and force-included microcodes are bundled together with
# the latest regular microcode bundle in microcode-regular.pbin.  The
# precedence order for downgrading is:
#
#     oldies < includes < latest regular microcode bundle
#
# The precedence order won't matter for oldies and includes, as they
# either have different microcode, or microcode with the same
# revision.
#
# Then, microcode-regular.pbin is merged with all supplementary
# microcode bundles, with the downgrade logic disabled in the
# microcode-aux.pbin target.  The result will be used by the final
# target.
#
# When there are no supplementary microcode updates, we can do all the
# merging with the downgrade logic active in a single go in the final
# target.

microcode-regular.pbin: $(MICROCODE_FINAL_REG_SOURCES)
	@echo
	@echo Building microcode bundle for regular microcode...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --downgrade --overwrite -w "$@" $^

microcode-aux.pbin: microcode-regular.pbin $(MICROCODE_SUP_SOURCES)
	@echo
	@echo Merging regular and supplementary microcode bundles...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --overwrite -w "$@" $^

# The microcode overrides are bundled together to sort out any
# duplication and revision level issues.
microcode-overrides.pbin: $(MICROCODE_OVERRIDES)
	@echo
	@echo Preprocessing microcode overrides...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# Final target
intel-microcode.bin: $(MICROCODE_FINAL_SOURCES)
	@echo
	@echo Building final microcode bundle...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(IUC_EXCLUDE) \
		--downgrade --overwrite -w "$@" $^

intel-microcode-64.bin: intel-microcode.bin
	@echo
	@echo Building stripped-down microcode bundle for x86-64 and x32...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(shell sed -n -r -e '/^i.86/ { s/^[^ ]+ +/-s !/;s/ +\#.*//;p}' cpu-signatures.txt) $(IUC_EXCLUDE) \
		--overwrite -w "$@" $^

distclean: clean
clean:
	rm -f intel-microcode-64.bin intel-microcode.bin
	rm -f microcode-overrides.pbin microcode-oldies.pbin microcode-includes.pbin microcode-regular.pbin microcode-aux.pbin
	rm -f microcode-*.dbin

.PHONY: clean

=== debian/changelog ===
intel-microcode (3.20180312.0~ubuntu18.04.1) bionic; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180312 to provide
    IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    - New Microcodes:
      sig 0x00050653, pf mask 0x97, 2018-01-29, rev 0x1000140, size 30720
      sig 0x00050665, pf mask 0x10, 2018-01-22, rev 0xe000009, size 18432
    - Updated Microcodes:
      sig 0x000206a7, pf mask 0x12, 2018-02-07, rev 0x002d, size 12288
      sig 0x000206d6, pf mask 0x6d, 2018-01-30, rev 0x061c, size 18432
      sig 0x000206d7, pf mask 0x6d, 2018-01-26, rev 0x0713, size 19456
      sig 0x000306a9, pf mask 0x12, 2018-02-07, rev 0x001f, size 13312
      sig 0x000306c3, pf mask 0x32, 2018-01-21, rev 0x0024, size 23552
      sig 0x000306d4, pf mask 0xc0, 2018-01-18, rev 0x002a, size 18432
      sig 0x000306e4, pf mask 0xed, 2018-01-25, rev 0x042c, size 15360
      sig 0x000306e7, pf mask 0xed, 2018-02-16, rev 0x0713, size 16384
      sig 0x000306f2, pf mask 0x6f, 2018-01-19, rev 0x003c, size 33792
      sig 0x000306f4, pf mask 0x80, 2018-01-22, rev 0x0011, size 17408
      sig 0x00040651, pf mask 0x72, 2018-01-18, rev 0x0023, size 21504
      sig 0x00040661, pf mask 0x32, 2018-01-21, rev 0x0019, size 25600
      sig 0x00040671, pf mask 0x22, 2018-01-21, rev 0x001d, size 12288
      sig 0x000406e3, pf mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x00050654, pf mask 0xb7, 2018-01-26, rev 0x2000043, size 28672
      sig 0x00050662, pf mask 0x10, 2018-01-22, rev 0x0015, size 31744
      sig 0x00050663, pf mask 0x10, 2018-01-22, rev 0x7000012, size 22528
      sig 0x00050664, pf mask 0x10, 2018-01-22, rev 0xf000011, size 22528
      sig 0x000506e3, pf mask 0x36, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000806e9, pf mask 0xc0, 2018-01-21, rev 0x0084, size 98304
      sig 0x000806ea, pf mask 0xc0, 2018-01-21, rev 0x0084, size 97280
      sig 0x000906e9, pf mask 0x2a, 2018-01-21, rev 0x0084, size 98304
      sig 0x000906ea, pf mask 0x22, 2018-01-21, rev 0x0084, size 96256
      sig 0x000906eb, pf mask 0x02, 2018-01-21, rev 0x0084, size 98304
    - CVE-2017-5715 

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 13 Mar 2018 20:10:18 +0000

intel-microcode (3.20180108.1+really20171117.1) unstable; urgency=critical

  * Revert to release 20171117, as per Intel instructions issued to
    the public in 2018-01-22 (closes: #886998)
  * This effectively removes IBRS/IBPB/STIPB microcode support for
    Spectre variant 2 mitigation.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 22 Jan 2018 23:01:59 -0200

intel-microcode (3.20180108.1) unstable; urgency=high

  * New upstream microcode data file 20180108 (closes: #886367)
    + Updated Microcodes:
      sig 0x000306c3, pf_mask 0x32, 2017-11-20, rev 0x0023, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2017-11-17, rev 0x0028, size 18432
      sig 0x000306e4, pf_mask 0xed, 2017-12-01, rev 0x042a, size 15360
      sig 0x000306f2, pf_mask 0x6f, 2017-11-17, rev 0x003b, size 33792
      sig 0x000306f4, pf_mask 0x80, 2017-11-17, rev 0x0010, size 17408
      sig 0x00040651, pf_mask 0x72, 2017-11-20, rev 0x0021, size 22528
      sig 0x00040661, pf_mask 0x32, 2017-11-20, rev 0x0018, size 25600
      sig 0x00040671, pf_mask 0x22, 2017-11-17, rev 0x001b, size 13312
      sig 0x000406e3, pf_mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x00050654, pf_mask 0xb7, 2017-12-08, rev 0x200003c, size 27648
      sig 0x00050662, pf_mask 0x10, 2017-12-16, rev 0x0014, size 31744
      sig 0x00050663, pf_mask 0x10, 2017-12-16, rev 0x7000011, size 22528
      sig 0x000506e3, pf_mask 0x36, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
      sig 0x000806e9, pf_mask 0xc0, 2018-01-04, rev 0x0080, size 98304
      sig 0x000806ea, pf_mask 0xc0, 2018-01-04, rev 0x0080, size 98304
      sig 0x000906e9, pf_mask 0x2a, 2018-01-04, rev 0x0080, size 98304
      sig 0x000906ea, pf_mask 0x22, 2018-01-04, rev 0x0080, size 97280
      sig 0x000906eb, pf_mask 0x02, 2018-01-04, rev 0x0080, size 98304
    + Implements IBRS/IBPB support and enhances LFENCE: mitigation
      against Spectre (CVE-2017-5715)
    + Very likely fixes several other errata on some of the processors
  * supplementary-ucode-CVE-2017-5715.d/: remove.
    + Downgraded microcodes:
      sig 0x000406f1, pf_mask 0xef, 2017-03-01, rev 0xb000021, size 26624
      sig 0x000506c9, pf_mask 0x03, 2017-03-25, rev 0x002c, size 16384
    + This removes IBRS/IBPB support for these two platforms when compared
      with the previous (and unofficial) release, 20171215.  We don't know
      why Intel declined to include these microcode updates (as well as
      several others) in the release.
  * source: remove superseded upstream data file: 20171117
  * README.Debian, copyright: update download URLs (closes: #886368)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 10 Jan 2018 00:23:44 -0200

intel-microcode (3.20171215.1) unstable; urgency=high

  * Add supplementary-ucode-CVE-2017-5715.d/: (closes: #886367)
    New upstream microcodes to partially address CVE-2017-5715
    + Updated Microcodes:
      sig 0x000306c3, pf_mask 0x32, 2017-11-20, rev 0x0023, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2017-11-17, rev 0x0028, size 18432
      sig 0x000306f2, pf_mask 0x6f, 2017-11-17, rev 0x003b, size 33792
      sig 0x00040651, pf_mask 0x72, 2017-11-20, rev 0x0021, size 22528
      sig 0x000406e3, pf_mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000406f1, pf_mask 0xef, 2017-11-18, rev 0xb000025, size 27648
      sig 0x00050654, pf_mask 0xb7, 2017-11-21, rev 0x200003a, size 27648
      sig 0x000506c9, pf_mask 0x03, 2017-11-22, rev 0x002e, size 16384
      sig 0x000806e9, pf_mask 0xc0, 2017-12-03, rev 0x007c, size 98304
      sig 0x000906e9, pf_mask 0x2a, 2017-12-03, rev 0x007c, size 98304
  * Implements IBRS and IBPB support via new MSR (Spectre variant 2


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: standard
-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
 Standards-Version: 4.1.1

## intel-microcode 3.20180425.1~deb8u1

=== debian/changelog ===
intel-microcode (3.20180425.1~deb8u1) jessie; urgency=medium

  * Upload to Debian jessie (no changes)
  * RELEASE MANAGER INFORMATION: This update deploys the microcode side fix
    for CVE-2017-5715 (Spectre v2).  On the more recent processors, it also
    fixes other unspecified errata.  This microcode update pack has been
    extensively tested in Debian unstable, testing, strech-backports and
    jessie-backports.  It has been extensively deployed by other distributions
    to their stable branches without causing any issues, with one notable
    exception (a distro-specific kernel bug, already fixed by that distro).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 18 May 2018 09:38:22 -0300

intel-microcode (3.20180425.1) unstable; urgency=medium

  * New upstream microcode data file 20180425 (closes: #897443, #895878)
    + Updated Microcodes:
      sig 0x000406f1, pf_mask 0xef, 2018-03-21, rev 0xb00002c, size 27648
      sig 0x000706a1, pf_mask 0x01, 2017-12-26, rev 0x0022, size 73728
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation
    + Note that sig 0x000604f1 has been blacklisted from late-loading
      since Debian release 3.20171117.1.
  * source: remove undesired list files from microcode directories
  * source: switch to microcode-<id>.d/ since Intel dropped .dat
    support.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 02 May 2018 16:48:44 -0300

intel-microcode (3.20180312.1) unstable; urgency=medium

  * New upstream microcode data file 20180312 (closes: #886367)
    + New Microcodes:
      sig 0x00050653, pf_mask 0x97, 2018-01-29, rev 0x1000140, size 30720
      sig 0x00050665, pf_mask 0x10, 2018-01-22, rev 0xe000009, size 18432
    + Updated Microcodes:
      sig 0x000206a7, pf_mask 0x12, 2018-02-07, rev 0x002d, size 12288
      sig 0x000206d6, pf_mask 0x6d, 2018-01-30, rev 0x061c, size 18432
      sig 0x000206d7, pf_mask 0x6d, 2018-01-26, rev 0x0713, size 19456
      sig 0x000306a9, pf_mask 0x12, 2018-02-07, rev 0x001f, size 13312
      sig 0x000306c3, pf_mask 0x32, 2018-01-21, rev 0x0024, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2018-01-18, rev 0x002a, size 18432
      sig 0x000306e4, pf_mask 0xed, 2018-01-25, rev 0x042c, size 15360
      sig 0x000306e7, pf_mask 0xed, 2018-02-16, rev 0x0713, size 16384
      sig 0x000306f2, pf_mask 0x6f, 2018-01-19, rev 0x003c, size 33792
      sig 0x000306f4, pf_mask 0x80, 2018-01-22, rev 0x0011, size 17408
      sig 0x00040651, pf_mask 0x72, 2018-01-18, rev 0x0023, size 21504
      sig 0x00040661, pf_mask 0x32, 2018-01-21, rev 0x0019, size 25600
      sig 0x00040671, pf_mask 0x22, 2018-01-21, rev 0x001d, size 12288
      sig 0x000406e3, pf_mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x00050654, pf_mask 0xb7, 2018-01-26, rev 0x2000043, size 28672
      sig 0x00050662, pf_mask 0x10, 2018-01-22, rev 0x0015, size 31744
      sig 0x00050663, pf_mask 0x10, 2018-01-22, rev 0x7000012, size 22528
      sig 0x00050664, pf_mask 0x10, 2018-01-22, rev 0xf000011, size 22528
      sig 0x000506e3, pf_mask 0x36, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000806e9, pf_mask 0xc0, 2018-01-21, rev 0x0084, size 98304
      sig 0x000806ea, pf_mask 0xc0, 2018-01-21, rev 0x0084, size 97280
      sig 0x000906e9, pf_mask 0x2a, 2018-01-21, rev 0x0084, size 98304
      sig 0x000906ea, pf_mask 0x22, 2018-01-21, rev 0x0084, size 96256
      sig 0x000906eb, pf_mask 0x02, 2018-01-21, rev 0x0084, size 98304
    + Implements IBRS/IBPB/STIPB support, Spectre-v2 mitigation for:
      Sandybridge, Ivy Bridge, Haswell, Broadwell, Skylake, Kaby Lake,
      Coffee Lake
    + Missing production updates:
      + Broadwell-E/EX Xeons (sig 0x406f1)
      + Anniedale/Morefield, Apollo Lake, Avoton, Cherry Trail, Braswell,
        Gemini Lake, Denverton
  * Update past changelog entries with new information:
    Intel already had all necessary semanthics in LFENCE, so the
    Spectre-related Intel microcode changes did not need to enhance LFENCE.
  * debian/control: update Vcs-* fields for the move to salsa.debian.org

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 14 Mar 2018 09:21:24 -0300

intel-microcode (3.20170707.1~deb8u1) jessie; urgency=high

  * Upload to jessie (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 08 Jul 2017 20:25:31 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
 Standards-Version: 4.1.1
 Homepage: https://downloadcenter.intel.com/search?keyword=linux+microcode
-Vcs-Git: git://git.debian.org/users/hmh/intel-microcode.git
-Vcs-Browser: http://git.debian.org/?p=users/hmh/intel-microcode.git
+Vcs-Git: https://salsa.debian.org/hmh/intel-microcode.git
+Vcs-Browser: https://salsa.debian.org/hmh/intel-microcode
 XS-Autobuild: yes
 
 Package: intel-microcode

## intel-microcode 3.20180425.1~ubuntu0.17.10.1

=== debian/changelog ===
intel-microcode (3.20180425.1~ubuntu0.17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 03 May 2018 12:45:47 -0700

intel-microcode (3.20180312.0~ubuntu17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180312 to provide
    IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    - New Microcodes:
      sig 0x00050653, pf mask 0x97, 2018-01-29, rev 0x1000140, size 30720
      sig 0x00050665, pf mask 0x10, 2018-01-22, rev 0xe000009, size 18432
    - Updated Microcodes:
      sig 0x000206a7, pf mask 0x12, 2018-02-07, rev 0x002d, size 12288
      sig 0x000206d6, pf mask 0x6d, 2018-01-30, rev 0x061c, size 18432
      sig 0x000206d7, pf mask 0x6d, 2018-01-26, rev 0x0713, size 19456
      sig 0x000306a9, pf mask 0x12, 2018-02-07, rev 0x001f, size 13312
      sig 0x000306c3, pf mask 0x32, 2018-01-21, rev 0x0024, size 23552
      sig 0x000306d4, pf mask 0xc0, 2018-01-18, rev 0x002a, size 18432
      sig 0x000306e4, pf mask 0xed, 2018-01-25, rev 0x042c, size 15360
      sig 0x000306e7, pf mask 0xed, 2018-02-16, rev 0x0713, size 16384
      sig 0x000306f2, pf mask 0x6f, 2018-01-19, rev 0x003c, size 33792
      sig 0x000306f4, pf mask 0x80, 2018-01-22, rev 0x0011, size 17408
      sig 0x00040651, pf mask 0x72, 2018-01-18, rev 0x0023, size 21504
      sig 0x00040661, pf mask 0x32, 2018-01-21, rev 0x0019, size 25600
      sig 0x00040671, pf mask 0x22, 2018-01-21, rev 0x001d, size 12288
      sig 0x000406e3, pf mask 0xc0, 2017-11-16, rev 0x00c2, size 99328
      sig 0x00050654, pf mask 0xb7, 2018-01-26, rev 0x2000043, size 28672
      sig 0x00050662, pf mask 0x10, 2018-01-22, rev 0x0015, size 31744
      sig 0x00050663, pf mask 0x10, 2018-01-22, rev 0x7000012, size 22528
      sig 0x00050664, pf mask 0x10, 2018-01-22, rev 0xf000011, size 22528
      sig 0x000506e3, pf mask 0x36, 2017-11-16, rev 0x00c2, size 99328
      sig 0x000806e9, pf mask 0xc0, 2018-01-21, rev 0x0084, size 98304
      sig 0x000806ea, pf mask 0xc0, 2018-01-21, rev 0x0084, size 97280
      sig 0x000906e9, pf mask 0x2a, 2018-01-21, rev 0x0084, size 98304
      sig 0x000906ea, pf mask 0x22, 2018-01-21, rev 0x0084, size 96256
      sig 0x000906eb, pf mask 0x02, 2018-01-21, rev 0x0084, size 98304
    - CVE-2017-5715 

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 13 Mar 2018 20:10:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: standard
-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
 Standards-Version: 4.1.1

## intel-microcode 3.20180425.1~ubuntu0.17.10.2

=== debian/changelog ===
intel-microcode (3.20180425.1~ubuntu0.17.10.2) artful; urgency=medium

  * Default to early instead of auto, and install all of the microcode,
    not just the one matching the current CPU, if MODULES=most is set
    in the initramfs-tools config (LP: #1778738)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Jun 2018 16:31:30 +0200

## intel-microcode 3.20180703.2~deb8u1

=== debian/changelog ===
intel-microcode (3.20180703.2~deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Rebuild for jessie-security (no changes)

 -- Markus Koschany <apo@debian.org>  Fri, 27 Jul 2018 05:30:17 +0200

intel-microcode (3.20180703.2) unstable; urgency=medium

  * source: fix badly named symlink that resulted in most microcode
    updates not being shipped in the binary package.  Oops!

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 05 Jul 2018 14:26:36 -0300

intel-microcode (3.20180703.1) unstable; urgency=medium

  * New upstream microcode data file 20180703 (closes: #903018)
    + Updated Microcodes:
      sig 0x000206d6, pf_mask 0x6d, 2018-05-08, rev 0x061d, size 18432
      sig 0x000206d7, pf_mask 0x6d, 2018-05-08, rev 0x0714, size 19456
      sig 0x000306e4, pf_mask 0xed, 2018-04-25, rev 0x042d, size 15360
      sig 0x000306e7, pf_mask 0xed, 2018-04-25, rev 0x0714, size 17408
      sig 0x000306f2, pf_mask 0x6f, 2018-04-20, rev 0x003d, size 33792
      sig 0x000306f4, pf_mask 0x80, 2018-04-20, rev 0x0012, size 17408
      sig 0x000406f1, pf_mask 0xef, 2018-04-19, rev 0xb00002e, size 28672
      sig 0x00050654, pf_mask 0xb7, 2018-05-15, rev 0x200004d, size 31744
      sig 0x00050665, pf_mask 0x10, 2018-04-20, rev 0xe00000a, size 18432
    + First batch of fixes for: Intel SA-00115, CVE-2018-3639, CVE-2018-3640
    + SSBD support (Spectre-v4 mitigation) and fix Spectre-v3a for:
      Sandybridge server, Ivy Bridge server, Haswell server, Skylake server,
      Broadwell server, a few HEDT Core i7/i9 models that are actually gimped
      server dies.
  * source: update symlinks to reflect id of the latest release, 20180703

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 05 Jul 2018 10:03:53 -0300

intel-microcode (3.20180425.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 03 May 2018 23:06:51 -0300

intel-microcode (3.20180312.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 15 Mar 2018 00:00:33 -0300

intel-microcode (3.20171117.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 26 Nov 2017 18:34:15 -0200

intel-microcode (3.20170707.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 08 Jul 2017 19:37:32 -0300

## intel-microcode 3.20180703.2~mx15+1

=== debian/changelog ===
intel-microcode (3.20180703.2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jul 2018 08:18:57 -0700

## intel-microcode 3.20180703.2~mx17+1

=== debian/changelog ===
intel-microcode (3.20180703.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jul 2018 08:18:57 -0700

## intel-microcode 3.20180807a.0ubuntu0.14.04.1

=== debian/changelog ===
intel-microcode (3.20180807a.0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode update to provide L1D cache
    flush support to mitigate L1TF (CVE-2018-3646)
    - New Microcodes:
      sig 0x000206e6, pf_mask 0x04, 2018-05-15, rev 0x000d, size 9216
      sig 0x000506c2, pf_mask 0x01, 2018-05-11, rev 0x0014, size 15360
      sig 0x000506ca, pf_mask 0x03, 2018-05-11, rev 0x000c, size 14336
      sig 0x000506f1, pf_mask 0x01, 2018-05-11, rev 0x0024, size 10240
    - Updated Microcodes:
      sig 0x000106a5, pf_mask 0x03, 2018-05-11, rev 0x001d, size 12288
      sig 0x000106e5, pf_mask 0x13, 2018-05-08, rev 0x000a, size 9216
      sig 0x00020652, pf_mask 0x12, 2018-05-08, rev 0x0011, size 9216
      sig 0x00020655, pf_mask 0x92, 2018-04-23, rev 0x0007, size 4096
      sig 0x000206a7, pf_mask 0x12, 2018-04-10, rev 0x002e, size 12288
      sig 0x000206f2, pf_mask 0x05, 2018-05-16, rev 0x003b, size 14336
      sig 0x000306a9, pf_mask 0x12, 2018-04-10, rev 0x0020, size 13312
      sig 0x000306c3, pf_mask 0x32, 2018-04-02, rev 0x0025, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2018-03-22, rev 0x002b, size 18432
      sig 0x00040651, pf_mask 0x72, 2018-04-02, rev 0x0024, size 22528
      sig 0x00040661, pf_mask 0x32, 2018-04-02, rev 0x001a, size 25600
      sig 0x00040671, pf_mask 0x22, 2018-04-03, rev 0x001e, size 13312
      sig 0x000406e3, pf_mask 0xc0, 2018-04-17, rev 0x00c6, size 99328
      sig 0x00050662, pf_mask 0x10, 2018-05-25, rev 0x0017, size 31744
      sig 0x00050663, pf_mask 0x10, 2018-04-20, rev 0x7000013, size 22528
      sig 0x00050664, pf_mask 0x10, 2018-04-20, rev 0xf000012, size 22528
      sig 0x000506c9, pf_mask 0x03, 2018-05-11, rev 0x0032, size 16384
      sig 0x000506e3, pf_mask 0x36, 2018-04-17, rev 0x00c6, size 99328
      sig 0x000706a1, pf_mask 0x01, 2018-05-22, rev 0x0028, size 73728
      sig 0x000806e9, pf_mask 0xc0, 2018-03-24, rev 0x008e, size 98304
      sig 0x000806ea, pf_mask 0xc0, 2018-05-15, rev 0x0096, size 98304
      sig 0x000906e9, pf_mask 0x2a, 2018-03-24, rev 0x008e, size 98304
      sig 0x000906ea, pf_mask 0x22, 2018-05-02, rev 0x0096, size 97280
      sig 0x000906eb, pf_mask 0x02, 2018-03-24, rev 0x008e, size 98304
    - Added back upstream but blacklisted by packaging due to the issues
      around addressing Intel SA-00030:
      sig 0x000206c2, pf_mask 0x03, 2018-05-08, rev 0x001f, size 11264
  * Remaining changes from Debian:
    - debian/initramfs.hook: Default to early instead of auto, and
      install all of the microcode, not just the one matching the
      current CPU, if MODULES=most is set in the initramfs-tools config

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 24 Aug 2018 12:09:28 -0700

intel-microcode (3.20180703.2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable (LP: #1783385).  Remaining changes:
    - debian/initramfs.hook: Default to early instead of auto, and
      install all of the microcode, not just the one matching the
      current CPU, if MODULES=most is set in the initramfs-tools config

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 23 Jul 2018 20:42:49 -0700

intel-microcode (3.20180425.1ubuntu1) cosmic; urgency=medium

  * Default to early instead of auto, and install all of the microcode,
    not just the one matching the current CPU, if MODULES=most is set
    in the initramfs-tools config (LP: #1778738)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Jun 2018 16:31:30 +0200

intel-microcode (3.20180425.1~ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode data file 20180425 to
    provide IBRS/IBPB/STIBP microcode support for Spectre variant 2 mitigation
    for Pentium Silver N/J5xxx, Celeron N/J4xxx (sig 0x000706a1) and
    Xeon E5/E7 v4; Core i7-69xx/68xx (sig 0x000406f1) (LP: #1769043)
    - merge from Debian.

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 03 May 2018 12:45:47 -0700

## intel-microcode 3.20180807a.1~deb8u1

=== debian/changelog ===
intel-microcode (3.20180807a.1~deb8u1) jessie-security; urgency=high

  * Upload to Debian jessie-security (no changes)
  * Security fixes:
    Intel SA-00161, CVE-2018-3615, CVE-2018-3620, CVE-2018-3646
    Intel SA-00115, CVE-2018-3639, CVE-2018-3640
    Intel SA-00088, CVE-2017-5753, CVE-2017-5754

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 15 Sep 2018 17:09:08 -0300

intel-microcode (3.20180807a.1) unstable; urgency=high

  [ Henrique de Moraes Holschuh ]
  * New upstream microcode datafile 20180807a
    (closes: #906158, #906160, #903135, #903141)
    + New Microcodes:
      sig 0x000206c2, pf_mask 0x03, 2018-05-08, rev 0x001f, size 11264
      sig 0x000206e6, pf_mask 0x04, 2018-05-15, rev 0x000d, size 9216
      sig 0x000506c2, pf_mask 0x01, 2018-05-11, rev 0x0014, size 15360
      sig 0x000506ca, pf_mask 0x03, 2018-05-11, rev 0x000c, size 14336
      sig 0x000506f1, pf_mask 0x01, 2018-05-11, rev 0x0024, size 10240
    + Updated Microcodes:
      sig 0x000106a5, pf_mask 0x03, 2018-05-11, rev 0x001d, size 12288
      sig 0x000106e5, pf_mask 0x13, 2018-05-08, rev 0x000a, size 9216
      sig 0x00020652, pf_mask 0x12, 2018-05-08, rev 0x0011, size 9216
      sig 0x00020655, pf_mask 0x92, 2018-04-23, rev 0x0007, size 4096
      sig 0x000206a7, pf_mask 0x12, 2018-04-10, rev 0x002e, size 12288
      sig 0x000206f2, pf_mask 0x05, 2018-05-16, rev 0x003b, size 14336
      sig 0x000306a9, pf_mask 0x12, 2018-04-10, rev 0x0020, size 13312
      sig 0x000306c3, pf_mask 0x32, 2018-04-02, rev 0x0025, size 23552
      sig 0x000306d4, pf_mask 0xc0, 2018-03-22, rev 0x002b, size 18432
      sig 0x00040651, pf_mask 0x72, 2018-04-02, rev 0x0024, size 22528
      sig 0x00040661, pf_mask 0x32, 2018-04-02, rev 0x001a, size 25600
      sig 0x00040671, pf_mask 0x22, 2018-04-03, rev 0x001e, size 13312
      sig 0x000406e3, pf_mask 0xc0, 2018-04-17, rev 0x00c6, size 99328
      sig 0x00050662, pf_mask 0x10, 2018-05-25, rev 0x0017, size 31744
      sig 0x00050663, pf_mask 0x10, 2018-04-20, rev 0x7000013, size 22528
      sig 0x00050664, pf_mask 0x10, 2018-04-20, rev 0xf000012, size 22528
      sig 0x000506c9, pf_mask 0x03, 2018-05-11, rev 0x0032, size 16384
      sig 0x000506e3, pf_mask 0x36, 2018-04-17, rev 0x00c6, size 99328
      sig 0x000706a1, pf_mask 0x01, 2018-05-22, rev 0x0028, size 73728
      sig 0x000806e9, pf_mask 0xc0, 2018-03-24, rev 0x008e, size 98304
      sig 0x000806ea, pf_mask 0xc0, 2018-05-15, rev 0x0096, size 98304
      sig 0x000906e9, pf_mask 0x2a, 2018-03-24, rev 0x008e, size 98304
      sig 0x000906ea, pf_mask 0x22, 2018-05-02, rev 0x0096, size 97280
      sig 0x000906eb, pf_mask 0x02, 2018-03-24, rev 0x008e, size 98304
    + Implements L1D_FLUSH support (L1TF "Foreshadow/-NG" mitigation)
      Intel SA-00161, CVE-2018-3615, CVE-2018-3620, CVE-2018-3646
    + Implements SSBD support (Spectre v4 mitigation),
      Disable speculation for (some) RDMSR/WRMSR (Spectre v3a fix)
      Intel SA-00115, CVE-2018-3639, CVE-2018-3640
    + Implements IBRS/IBPB/STIPB support, Spectre v2 mitigation for older
      processors with signatures 0x106a5, 0x106e5, 0x20652, 0x20655.
      Intel SA-0088, CVE-2017-5753, CVE-2017-5754
  * source: update symlinks to reflect id of the latest release, 20180807a
  * debian/intel-microcode.docs: ship license and releasenote upstream files.
  * debian/changelog: update entry for 3.20180703.1 with L1TF information

  [ Julian Andres Klode ]
  * initramfs: include all microcode for MODULES=most.
    Default to early instead of auto, and install all of the microcode,
    not just the one matching the current CPU, if MODULES=most is set
    in the initramfs-tools config (LP: #1778738)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 24 Aug 2018 08:53:53 -0300

## intel-microcode 3.20180807a.1~deb9u1

=== debian/changelog ===
intel-microcode (3.20180807a.1~deb9u1) stretch-security; urgency=high

  * Upload to Debian stretch (no changes)
  * Security fixes:
    Intel SA-00161, CVE-2018-3615, CVE-2018-3620, CVE-2018-3646
    Intel SA-00115, CVE-2018-3639, CVE-2018-3640
    Intel SA-00088, CVE-2017-5753, CVE-2017-5754

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 15 Sep 2018 00:53:22 -0300

intel-microcode (3.20180703.2~deb9u1) stretch-security; urgency=high

  * Upload to Debian stretch (no changes)
    Security-fix: CVE-2018-3639, CVE-2018-3640

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 14 Aug 2018 23:30:11 -0300

intel-microcode (3.20180425.1~deb9u1) stretch; urgency=medium

  * Upload to Debian stretch (no changes)
  * RELEASE MANAGER INFORMATION: This update deploys the microcode side fix
    for CVE-2017-5715 (Spectre v2).  On the more recent processors, it also
    fixes other unspecified errata.  This microcode update pack has been
    extensively tested in Debian unstable, testing, strech-backports and
    jessie-backports.  It has been extensively deployed by other distributions
    to their stable branches without causing any issues, with one notable
    exception (a distro-specific kernel bug, already fixed by that distro).

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 18 May 2018 09:15:59 -0300

intel-microcode (3.20170707.1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 08 Jul 2017 19:47:45 -0300

## intel-microcode 3.20180807a.2~bpo8+1

=== debian/changelog ===
intel-microcode (3.20180807a.2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 30 Oct 2018 08:02:26 -0300

intel-microcode (3.20180807a.2) unstable; urgency=medium

  * Makefile: unblacklist 0x206c2 (Westmere EP)
    According to pragyansri.pathi@intel.com, on message to LP#1795594
    on 2018-10-09, we can ship 0x206c2 updates without restrictions.
    Also, there are no reports in the field about this update causing
    issues (closes: #907402) (LP: #1795594)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 23 Oct 2018 19:52:40 -0300

intel-microcode (3.20180807a.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 25 Aug 2018 17:21:28 -0300

intel-microcode (3.20180703.2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 09 Jul 2018 18:28:25 -0300

## intel-microcode 3.20180807a.2~bpo9+1

=== debian/changelog ===
intel-microcode (3.20180807a.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 30 Oct 2018 08:01:12 -0300

intel-microcode (3.20180807a.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 25 Aug 2018 16:20:52 -0300

intel-microcode (3.20180703.2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 09 Jul 2018 18:23:38 -0300

intel-microcode (3.20180425.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 03 May 2018 23:04:13 -0300

intel-microcode (3.20180312.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 14 Mar 2018 23:57:38 -0300

intel-microcode (3.20171117.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 26 Nov 2017 11:00:28 -0200

intel-microcode (3.20170707.1~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 08 Jul 2017 19:19:31 -0300

## intel-microcode 3.20180807a.2~deb9u1

=== debian/changelog ===
intel-microcode (3.20180807a.2~deb9u1) stretch; urgency=medium

  * Release managers:
    This update is being distributed by Debian in unstable, testing and
    jessie- and stretch-backports since 2018-10-30 without issues, and by
    most distros since 2018-08/2018-09, with no known reports of
    regressions on Westmere EP processors (Spectre mitigations are very
    expensive on Nehalem and Westmere, though).
  * SECURITY FIX: this update adds the accumulated fixes for Westmere EP
    (signature 0x206c2) from nearly a decade, including but likely not
    limited to:
    + Implements L1D_FLUSH support (L1TF "Foreshadow/-NG" mitigation)
      Intel SA-00161, CVE-2018-3615, CVE-2018-3620, CVE-2018-3646
    + Implements SSBD support (Spectre v4 mitigation),
      Disable speculation for (some) RDMSR/WRMSR (Spectre v3a fix)
      Intel SA-00115, CVE-2018-3639, CVE-2018-3640
    + Implements IBRS/IBPB/STIPB support, Spectre v2 mitigation.
      Intel SA-0088, CVE-2017-5753, CVE-2017-5754
    + Very likely implements LAPIC sinkhole fix
    + Fixes AAK167/BT248: Virtual APIC accesses with 32-bit PAE paging
      may cause system crash
  * This Westmere EP microcode update has been explicitly approved by
    Intel for general distribution by operating systems, refer to the
    changelog entry for 3.20180807a.2 below

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 27 Jan 2019 13:07:47 -0200

## intel-microcode 3.20180807a.2~mx15+1

=== debian/changelog ===
intel-microcode (3.20180807a.2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Jan 2019 16:32:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: intel-microcode
 Section: non-free/admin
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Uploaders: Giacomo Catenazzi <cate@debian.org>
 Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)

## intel-microcode 3.20180807a.2~mx17+1

=== debian/changelog ===
intel-microcode (3.20180807a.2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Jan 2019 16:32:22 -0800
